Fable.Elmish.React 4.0.0-beta-4

.NET Standard 2.0
This is a prerelease version of Fable.Elmish.React.
There is a newer version of this package available.
See the version list below for details.
dotnet add package Fable.Elmish.React --version 4.0.0-beta-4
NuGet\Install-Package Fable.Elmish.React -Version 4.0.0-beta-4
This command is intended to be used within the Package Manager Console in Visual Studio, as it uses the NuGet module's version of Install-Package.
<PackageReference Include="Fable.Elmish.React" Version="4.0.0-beta-4" />
For projects that support PackageReference, copy this XML node into the project file to reference the package.
paket add Fable.Elmish.React --version 4.0.0-beta-4
#r "nuget: Fable.Elmish.React, 4.0.0-beta-4"
#r directive can be used in F# Interactive, C# scripting and .NET Interactive. Copy this into the interactive tool or source code of the script to reference the package.
// Install Fable.Elmish.React as a Cake Addin
#addin nuget:?package=Fable.Elmish.React&version=4.0.0-beta-4&prerelease

// Install Fable.Elmish.React as a Cake Tool
#tool nuget:?package=Fable.Elmish.React&version=4.0.0-beta-4&prerelease

Elmish-React: React extensions for elmish applications.

Windows Build NuGet version

React and ReactNative support for Elmish apps.

For more information see the docs.

Installation

The easiest way to start with Elmish and React is to use the template:

dotnet new -i "Fable.Template.Elmish.React::*"
dotnet new elmish-react -n MyProject

Alternatively, you can just add it to an existing project via paket:

paket add nuget Fable.Elmish.React

As with any JS dependency, if you are authoring an application (as opposed to a library), you'll also need to install React (separately, via npm or yarn):

yarn add react react-dom
Product Versions
.NET net5.0 net5.0-windows net6.0 net6.0-android net6.0-ios net6.0-maccatalyst net6.0-macos net6.0-tvos net6.0-windows net7.0 net7.0-android net7.0-ios net7.0-maccatalyst net7.0-macos net7.0-tvos net7.0-windows
.NET Core netcoreapp2.0 netcoreapp2.1 netcoreapp2.2 netcoreapp3.0 netcoreapp3.1
.NET Standard netstandard2.0 netstandard2.1
.NET Framework net461 net462 net463 net47 net471 net472 net48
MonoAndroid monoandroid
MonoMac monomac
MonoTouch monotouch
Tizen tizen40 tizen60
Xamarin.iOS xamarinios
Xamarin.Mac xamarinmac
Xamarin.TVOS xamarintvos
Xamarin.WatchOS xamarinwatchos
Compatible target framework(s)
Additional computed target framework(s)
Learn more about Target Frameworks and .NET Standard.

NuGet packages (11)

Showing the top 5 NuGet packages that depend on Fable.Elmish.React:

Package Downloads
Fable.Elmish.HMR

Hot Module Replacement for Elmish apps

Feliz.SweetAlert

Fable bindings written in the Feliz-style for sweetalert2

Fss-lib

A way to write your styling in FSS. Built atop Emotion-js to provide a typed CSS solution for F#

Fable.Dap.React

Dap App on Fable React

Fable.Ant.Design

Helpers around ant design for Elmish apps

GitHub repositories

This package is not used by any popular GitHub repositories.

Version Downloads Last updated
4.0.0 619 12/22/2022
4.0.0-beta-4 1,723 9/27/2022
4.0.0-beta-3 139 9/19/2022
4.0.0-beta-2 853 4/1/2022
4.0.0-beta-1 417 11/27/2021
4.0.0-alpha-1 1,847 11/1/2019
3.0.1 246,556 4/20/2019
3.0.0-beta-5 715 4/15/2019
3.0.0-beta-4 870 3/22/2019
3.0.0-beta-3 378 3/19/2019
3.0.0-beta-2 459 3/13/2019
3.0.0-beta-1 1,364 12/9/2018
2.2.0 6,408 2/21/2019
2.1.0 14,974 11/13/2018
2.0.0 6,539 10/1/2018
2.0.0-beta-4 1,125 8/5/2018
2.0.0-beta-2 797 3/5/2018
2.0.0-beta-1 791 2/1/2018
1.0.3 14,373 3/28/2018
1.0.2 1,177 3/20/2018
1.0.1 3,566 1/23/2018
1.0.1-beta-1 697 11/30/2017
1.0.0 6,033 10/11/2017
1.0.0-beta-1 721 9/8/2017
0.9.0 4,842 6/20/2017
0.9.0-beta-004 1,464 5/14/2017

Breaking: Use Fable.ReactDom.Types dependency (#71), thanks Alfonso Garcia-Caro!